function Finale_init()
	
	-- Spieler platzieren
	SetPlayerPosition( 924, 192 )
	
	-- Antimaterie platzieren
	AddAntimatter( 100, 208 )
	
	-- Teleporter						IDs 1, 2
	AddObject( "teleporter", 1, 4, 320, 192, 140, 150 )
	AddObject( "teleporter", 2, 4, 180, 150, 360, 192 )
	SetObjectVisibility( 1, 0 )
	SetObjectUpdate( 1, 0 )
	SetObjectVisibility( 2, 0 )
	SetObjectUpdate( 2, 0 )
	
	-- Schalter							IDs 3, 4 und 15, 16
	AddObject( "activity_switch", 3, 5, 512, 192, 1, 0, 1 )
	AddObject( "activity_switch", 4, 5, 512, 192, 2, 0, 1 )
	SetObjectUpdate( 3, 1 )
	SetObjectUpdate( 4, 1 )
	
	AddObject( "invisible_visibility_switch_onetime", 15, 4, 512, 192, 1, 0 )
	AddObject( "invisible_visibility_switch_onetime", 16, 4, 512, 192, 2, 0 )
	SetObjectUpdate( 15, 1 )
	SetObjectUpdate( 16, 1 )

	-- Spiegellinie						ID 5
	AddObject( "line", 5, 4, 0, 384, 1024, 384 )
	
	-- Kfig							IDs 6, 7, 8, 9
	AddObject( "line", 6, 4, 32, 96, 256, 96 )
	AddObject( "line", 7, 4, 256, 96, 256, 320 )
	AddObject( "line", 8, 4, 256, 320, 32, 320 )
	AddObject( "line", 9, 4, 32, 320, 32, 96 )
	
	-- Sprite Container fr Hase und so	ID 10
	AddObject( "container", 10, 0 )
	AddSprite( 10, 1, "gfx/rabbit.png", 144, 208, 0 )
	for i = 0, 5 do
		AddSprite( 10, 2+i*2, "gfx/switch_base.png", 70+i*32, 330, 0 )
		s = math.random( 0, 1 )
		if( s == 0 ) then
			AddSprite( 10, 3+i*2, "gfx/switch_stick.png", 70+i*32, 330-8, 0 )
		else
			AddSprite( 10, 3+i*2, "gfx/switch_stick.png", 70+i*32, 330+8, 180 )
		end
	end
	AddTextSprite( 10, 14, "[Zelle 42]", 144, 360, 0 )
	
	-- Container 2						ID 11
	AddObject( "container", 11, 0 )
	AddTextSprite( 11, 15, "Gut dich wieder zu sehen! Bettige nun einfach diesen Schalter!", 500, 120, 0 )
	
	-- Container 3						ID 12
	AddObject( "container", 12, 0 )
	AddTextSprite( 12, 15, "Danke!", 320, 120, 0 )
	SetObjectVisibility( 12, 0 )
	
	-- Schalter							IDs 13, 14
	AddObject( "invisible_visibility_switch_onetime", 13, 4, 512, 192, 11, 1 )
	AddObject( "invisible_visibility_switch_onetime", 14, 4, 512, 192, 12, 0 )
	SetObjectUpdate( 13, 1 )
	SetObjectUpdate( 14, 1 )
	
	-- Goldzeit setzen
	SetGoldTime( 500 )
	
end