function circle_init( ID, x, y, r )
	
	-- Schrittgre berechnen
	-- fr r=60 ist ein step von 30 ideal
	-- fr r=120 ist ein step von 15 ideal
	-- 30 = 60 / xyz	xyz = 2
	-- 15 = 120 / xyz	xyz = 8
	-- 7.5 = 240 / xyz	xyz = 32
	-- xyz = 2^(r/60+1)
	step = r / math.pow( 2, r / 60 + 1 )
	
	-- Segmente hinzufgen
	for g = 0, 360, step do
		
		-- g = g + r / 60
		
		-- Koordinaten berechnen
		xs = x + math.cos( math.rad( g ) ) * r
		ys = y + math.sin( math.rad( g ) ) * r
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, g/step, xs, ys, g+90 )
		
	end
	
end