function invisible_activity_switch_init( ID, x, y, tID, activated, can_activate )
end

function invisible_activity_switch_update( ID, x, y, tID, activated, can_activate  )
	-- Spielerpositionen reinholen
	PlayerX = GetPlayerX()
	PlayerY = GetPlayerY()
	
	-- Entfernung zum Spieler ausrechnen
	dist = math.sqrt( ( x - PlayerX )*( x - PlayerX ) + ( y - PlayerY )*( y - PlayerY ) )
	
	-- Neue Werte = alte Werte, werden spter evtl verndert
	_activated = activated
	_can_activate = can_activate
	
	-- Falls Entfernung zum Spieler kleiner als Spielerradius + Schalterradius ist (also Spieler sich auf Schalter befindet)
	if ( dist <= 36 ) then
		-- Falls umgeschaltet werden kann, umschalten, und markieren dass man nicht mehr umschalten kann
		if ( can_activate == 1 ) then
			_can_activate = 0
			_activated = 1 - activated
		end
	else
		-- Man kann umschalten, wenn der Spieler nicht mehr drauf ist
		_can_activate = 1
	end
	
	-- Ziel aktivieren / deaktivieren
	if ( _activated == 1 ) then
		SetObjectUpdate( tID, 1 )
	else
		SetObjectUpdate( tID, 0 )
	end
	
	-- Objektinfo updaten
	UpdateObject( ID, x, y, tID, _activated, _can_activate )
	
end