function line_init( ID, x1, y1, x2, y2 )
	
	-- Anzahl der Segmente berechnen
	distance = math.sqrt( ( x2 - x1 )*( x2 - x1 ) + ( y2 - y1 )*( y2- y1 ) )
	count_segments = distance / 31.0
	
	-- Winkel zwischen Start und Ende berechnen
	local angle = math.deg( math.atan2( y2 - y1, x2 - x1 ) )
	
	-- Segmente hinzufgen
	for i = 0, count_segments do
		
		-- Koordinaten berechnen
		x = x1 + math.cos( math.rad( angle ) ) * i * 31.0
		y = y1 + math.sin( math.rad( angle ) ) * i * 31.0
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, i, x, y, angle )
		
	end
	
end