function visibility_switch_onetime_init( ID, x, y, tID, standard )
	AddSprite( ID, 0, "gfx/switch_base.png", x, y, 0 )
	
	if ( standard == 1 ) then
		AddSprite( ID, 1, "gfx/switch_stick.png", x, y + 8, 180 )
	else
		AddSprite( ID, 1, "gfx/switch_stick.png", x, y - 8, 0 )
	end
end

function visibility_switch_onetime_update( ID, x, y, tID, standard  )
	-- Spielerpositionen reinholen
	PlayerX = GetPlayerX()
	PlayerY = GetPlayerY()
	
	-- Entfernung zum Spieler ausrechnen
	dist = math.sqrt( ( x - PlayerX )*( x - PlayerX ) + ( y - PlayerY )*( y - PlayerY ) )
	
	-- Falls Entfernung zum Spieler kleiner als Spielerradius + Schalterradius ist (also Spieler sich auf Schalter befindet), Ziel anzeigen/verstecken, sich selbst verstecken
	if ( dist <= 36 ) then
		SetObjectVisibility( tID, 1-standard )
		SetObjectVisibility( ID, 0 )
	end
	
end