function visibility_switch_touch_init( ID, x, y, tID, activated, standard )
	AddSprite( ID, 0, "gfx/switch_base.png", x, y, 0 )
	AddSprite( ID, 1, "gfx/switch_stick.png", x, y - 8, 0 )
end

function visibility_switch_touch_update( ID, x, y, tID, activated, standard  )
	-- Spielerpositionen reinholen
	PlayerX = GetPlayerX()
	PlayerY = GetPlayerY()
	
	-- Entfernung zum Spieler ausrechnen
	dist = math.sqrt( ( x - PlayerX )*( x - PlayerX ) + ( y - PlayerY )*( y - PlayerY ) )
	
	-- Neue Werte = alte Werte, werden spter evtl verndert
	_activated = activated
	
	-- Falls Entfernung zum Spieler kleiner als Spielerradius + Schalterradius ist (also Spieler sich auf Schalter befindet)
	if ( dist <= 36 ) then
		_activated = 1 - standard
	else
		_activated = standard
	end
	
	-- Schalter-Sprites updaten und Ziel verstecken / anzeigen
	if ( _activated == 1 ) then
		UpdateSprite( ID, 1, x, y+8, 180 )
		SetObjectVisibility( tID, 1 )
	else
		UpdateSprite( ID, 1, x, y-8, 0 )
		SetObjectVisibility( tID, 0 )
	end
	
	-- Objektinfo updaten
	UpdateObject( ID, x, y, tID, _activated, standard )
	
end