function circle_grow_init( ID, x, y, r, r_speed, r_min, r_max, seg )-- Mittelpunkt X|Y, Radius, Geschwindigkeit mit der der Radius wchst, minimaler Radius, maximaler Radius, Anzahl Segmente
	
	-- Schrittgre berechnen, falls gewnscht
	if ( seg == 0 ) then
		step = r / math.pow( 2, r / 60 + 1 )
	else
		step = 360 / seg
	end
	
	new_seg = -1
	
	-- Segmente hinzufgen
	for g = 0, 361, step do
		
		new_seg = new_seg + 1
		
		-- Koordinaten berechnen
		xs = x + math.cos( math.rad( g ) ) * r
		ys = y + math.sin( math.rad( g ) ) * r
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, g/step, xs, ys, g+90 )
		
	end
	
	UpdateObject( ID, x, y, r, r_speed, r_min, r_max, new_seg )
	
end

function circle_grow_update( ID, x, y, r, r_speed, r_min, r_max, seg )
	
	new_r = r + r_speed
	new_r_speed = r_speed
	if ( ( new_r <= r_min ) or ( new_r >= r_max ) ) then
		new_r_speed = -r_speed
	end
	UpdateObject( ID, x, y, new_r, new_r_speed, r_min, r_max, seg )
	
	multiplicator = 360 / seg
	
	for s = 0, seg do
		xs = x + math.cos( math.rad( s * multiplicator ) ) * new_r
		ys = y + math.sin( math.rad( s * multiplicator ) ) * new_r
		rot = s * multiplicator + 90
		UpdateSegment( ID, s, xs, ys, rot )
	end
	
end