function circle_segment_init( ID, x, y, r, begin_deg, end_deg )
	
	step = r / math.pow( 2, r / 60 + 1 )
	
	-- Segmente hinzufgen
	for g = 0, 360, step do
		
		if( g > begin_deg and g < end_deg ) then
			
			-- Koordinaten berechnen
			xs = x + math.cos( math.rad( g ) ) * r
			ys = y + math.sin( math.rad( g ) ) * r
			
			-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
			AddSegment( ID, g/step, xs, ys, g+90 )
			
		end
		
	end
	
end