function mine_init( ID, x, y, tx, ty, range, act_time )
	
	-- Segmente hinzufgen ; versteckt
	AddSegment( ID, 0, -100, -100, 0 )
	AddSegment( ID, 1, -100, -100, 0 )
	AddSegment( ID, 2, -100, -100, 90 )
	AddSegment( ID, 3, -100, -100, 90 )
	
end

function mine_update( ID, x, y, tx, ty, range, act_time )
	
	-- Spielerposition holen
	px = GetPlayerX()
	py = GetPlayerY()
	
	-- Blubb
	_x = x
	_y = y
	_tx = tx
	_ty = ty
	_act_time = act_time
	
	if( act_time == 0 ) then
		dist = math.sqrt( ( x - px )*( x - px ) + ( y - py )*( y - py ) )
		if( dist <= range ) then
			_act_time = GetMilliseconds()
			_tx = px
			_ty = py
			UpdateSegment( ID, 0, x, y-16, 0 )
			UpdateSegment( ID, 1, x, y+16, 0 )
			UpdateSegment( ID, 2, x-16, y, 90 )
			UpdateSegment( ID, 3, x+16, y, 90 )
		end
	else
		ms = GetMilliseconds()
		if( ms > act_time + 500 and ms < act_time + 1000 ) then
			_tx = px
			_ty = py
		end
		if( ms > act_time + 1000 ) then
			angle = math.deg( math.atan2( ty - y, tx - x ) )
			dist = math.sqrt( ( x - tx )*( x - tx ) + ( y - ty )*( y - ty ) )
			speed = 15
			
			_x = x + math.cos( math.rad( angle ) ) * speed
			_y = y + math.sin( math.rad( angle ) ) * speed
			UpdateSegment( ID, 0, x, y-16, 0 )
			UpdateSegment( ID, 1, x, y+16, 0 )
			UpdateSegment( ID, 2, x-16, y, 90 )
			UpdateSegment( ID, 3, x+16, y, 90 )
			
			if ( dist < 10 ) then
				_act_time = 0
				UpdateSegment( ID, 0, -100, -100, 0 )
				UpdateSegment( ID, 1, -100, -100, 0 )
				UpdateSegment( ID, 2, -100, -100, 90 )
				UpdateSegment( ID, 3, -100, -100, 90 )
			end
		end
	end
	
	-- Objektinfo updaten
	UpdateObject( ID, _x, _y, _tx, _ty, range, _act_time )
	
end